#ifndef ZAP_H
#define ZAP_H

#include <QThread>

class Zapper : public QThread
{
	Q_OBJECT

public:
	explicit Zapper(unsigned int freq, int apid, int vpid, int sid);
	bool open_frontend(void);
	int currentAdapter(void) { return adapter; }

	void run();
	unsigned int freq;
	int adapter;
	int apid;
	int vpid;
	int sid;

	bool zapping;
	bool ready;
	int frontend_fd;
	int audio_fd;
	int video_fd;
 
	// Define signal:
	signals:
	void sendInfo(const char* info);
	void newReading(float pct, unsigned int snr, bool has_lock);
};

#endif  //define ZAP_H

