#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <QDialog>

namespace Ui {
class settingsDialog;
}

class settingsDialog : public QDialog
{
Q_OBJECT

public:
explicit settingsDialog(QWidget *parent = nullptr, QString logFileName = "", QString watchCmd = "");
~settingsDialog();

// Define signal:
signals:
	void sendInfo(const char* info);
	void sendSetting(QString settingName, QString settingValue, bool saveIt);

private slots:

void on_saveButton_clicked();

void on_applyButton_clicked();

void on_closeButton_clicked();

private:
Ui::settingsDialog *ui;


};

#endif // SETTINGSDIALOG_H
